package eserciziHashtable02;

import java.util.Hashtable;
import java.util.Iterator;
import java.util.Scanner;

import eserciziHashtable02.bean.Contatto;

public class Rubrica {
	private static final Integer MAX_ELEMENTS = 20;
	private Hashtable<String, Contatto> rubrica = new Hashtable<String, Contatto>(MAX_ELEMENTS);
	private Scanner scanner = new Scanner(System.in);
	
	
	public void inserisciContatto() {

		//Inserisce un nuovo contatto in rubrica
		String   chiave					= "";
		Contatto valore					= null;
		
		String contattoNome 			= "";
		String contattoCognome 			= "";
		String contattoNumeroTelefono 	= "";
		
		
		contattoNome 			= leggiDato("Nome    :");
		contattoCognome 		= leggiDato("Cognome :");
		contattoNumeroTelefono 	= leggiDato("Telefono:");
		
		chiave					= contattoNome;
		valore					= new Contatto(contattoNome, contattoCognome, contattoNumeroTelefono);
		
		//Aggiunge il nuovo contatto in rubrica
		rubrica.put(chiave, valore);
	}
	
	
	public void eliminaContatto() {
		String   chiave					= "";

		String contattoNome 			= "";
		
		contattoNome 			= leggiDato("Nome    :");

		chiave					= contattoNome;
		
		//elimina un  contatto presente in rubrica
		rubrica.remove(chiave);
		
	}
	
	
	public Contatto leggiContatto() {
		Contatto result = null;
		String   chiave					= "";

		String contattoNome 			= "";
		
		contattoNome 			= leggiDato("Nome    :");

		chiave					= contattoNome;
		
		//legge un  contatto presente in rubrica
		result = rubrica.get(chiave);
		
		return result;
	}
	
	private String leggiDato(String desc) {
		String dato;
		System.out.print(desc);
		try {
			dato = scanner.nextLine();
		} catch (Exception e) {
			dato = "";
		}
		return dato;
	}

	
	public void stampaRubrica() {
		String    chiave = "";
		Contatto  valore = null;
		
		Iterator<String> i = rubrica.keySet().iterator();
		while (i.hasNext()) {
			chiave = (String) i.next();
			valore = (Contatto) rubrica.get(chiave);
			
			System.out.println(valore);
		}
	}
	
}
